← Back to API Reference

/designs

Tag: designs

getGlobal design library for ASB Sports uniforms

Parameters

NameInTypeFormatRequiredDescription
idquerystring
design_namequerystringName of the design set
is_activequerystringWhether the design is active/enabled
is_defaultquerystringWhether this is the global default design
previewquerystringURL to preview image
svgquerystringURL to SVG file
productsquerystringArray of product IDs this design applies to
design_showquerystringWhether to show in design picker
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
selectquerystringFiltering Columns
orderquerystringOrdering
RangeheaderstringLimiting and Pagination
Range-UnitheaderstringLimiting and Pagination
offsetquerystringLimiting and Pagination
limitquerystringLimiting and Pagination
PreferheaderstringPreference

Example

bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/designs?select=*&limit=10" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

200OK
206Partial Content

postGlobal design library for ASB Sports uniforms

Parameters

NameInTypeFormatRequiredDescription
designsbodyobjectdesigns
selectquerystringFiltering Columns
PreferheaderstringPreference

Example

bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/designs" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{
  "design_name": "example",
  "is_active": true,
  "is_default": true,
  "products": [],
  "design_show": true
}'

Responses

201Created

patchGlobal design library for ASB Sports uniforms

Parameters

NameInTypeFormatRequiredDescription
idquerystring
design_namequerystringName of the design set
is_activequerystringWhether the design is active/enabled
is_defaultquerystringWhether this is the global default design
previewquerystringURL to preview image
svgquerystringURL to SVG file
productsquerystringArray of product IDs this design applies to
design_showquerystringWhether to show in design picker
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
designsbodyobjectdesigns
PreferheaderstringPreference

Example

bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/designs?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{"design_name": "example"}'

Responses

204No Content

deleteGlobal design library for ASB Sports uniforms

Parameters

NameInTypeFormatRequiredDescription
idquerystring
design_namequerystringName of the design set
is_activequerystringWhether the design is active/enabled
is_defaultquerystringWhether this is the global default design
previewquerystringURL to preview image
svgquerystringURL to SVG file
productsquerystringArray of product IDs this design applies to
design_showquerystringWhether to show in design picker
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
PreferheaderstringPreference

Example

bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/designs?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

204No Content

Schema

Global design library for ASB Sports uniforms

ColumnTypeFormatNullableDefaultNotes
idPK
stringuuidextensions.uuid_generate_v4()This is a Primary Key.
design_name
stringtextName of the design set
is_active
booleanbooleanWhether the design is active/enabled
is_default
booleanbooleanWhether this is the global default design
preview
stringtextURL to preview image
svg
stringtextURL to SVG file
products
arrayuuid[]Array of product IDs this design applies to
design_show
booleanbooleanWhether to show in design picker
sort_order
integerinteger0Display order for sorting
created_by
stringuuid
created_at
stringtimestamp with time zonenow()
updated_at
stringtimestamp with time zonenow()
deleted_at
stringtimestamp with time zoneSoft delete timestamp